import styles from "./index.less";

const ModalBody = (props) => {
  const  {overflow, children} = props;
  let bodyStyle = {
      overflowY: overflow ? "auto": "hide"
  };
  return (
      <div className={styles['modal-body']} style={bodyStyle}>
          {children ? children : <div className="paragraph"> </div>}
      </div>
  );
}

export default ModalBody;